epp_ExtMessage (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.epp_ExtMessage class

### org.openrtk.idl.epp0705

# Class epp_ExtMessage

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.epp_ExtMessage`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ExtMessage`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that holds the message contained in the message queue response from the EPP server. Used by epp_MessageQueue. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/epp_ExtMessage.java,v 1.1 2003/03/20 22:42:18 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:18 $

See Also:
  `org.openrtk.idl.epp0705.epp_MessageQueue.setExtMessage(epp_ExtMessage)`

  ## Field Summary
  `String` | `m_lang` The ISO language of the message.
  `String` | `m_value` The message text.

  ## Constructor Summary
  `epp_ExtMessage()` Empty constructor
  `epp_ExtMessage(String _m_lang, String _m_value)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getLang()` Accessor method for the ISO language.
  `String` | `getValue()` Accessor method for the message text.
  `void` | `setLang(String value)` Accessor method for the ISO language.
  `void` | `setValue(String value)` Accessor method for the message text.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_lang

    public String m_lang

> The ISO language of the message. Optional. Default is "en" if null.
> See Also:
>   `setLang(String)`, `getLang()`

### m_value

    public String m_value

> The message text. This is free text and could contain "informal" XML. The RTK does not parse this XML.
> See Also:
>   `setLang(String)`, `getLang()`

## Constructor Details

### epp_ExtMessage

    public epp_ExtMessage()

> Empty constructor

### epp_ExtMessage

    public epp_ExtMessage(String _m_lang,
                          String _m_value)

> The constructor with initializing variables.
> Parameters:
>   `_m_lang` - The ISO language of the message
>   `_m_value` - The message text.

## Method Details

### getLang

    public String getLang()

> Accessor method for the ISO language.
> Returns:
>   The optional ISO language of the message.
> See Also:
>   `m_lang`

### getValue

    public String getValue()

> Accessor method for the message text.
> Returns:
>   The message text.
> See Also:
>   `m_value`

### setLang

    public void setLang(String value)

> Accessor method for the ISO language.
> Parameters:
>   `value` - The optional ISO language of the message.
> See Also:
>   `m_lang`

### setValue

    public void setValue(String value)

> Accessor method for the message text.
> Parameters:
>   `value` - The message text.
> See Also:
>   `m_value`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS